#
# spec file for package glib (Version 1.2.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         glib
%define prefix /usr
Copyright:    LGPL
Group:        Development/Libraries
Autoreqprov:  on
Version:      1.2.10
Release:      102
Summary:      Library of Utility Functions for Gtk
Source:       glib-%{version}.tar.bz2
Patch:	      glib-%{version}.dif
BuildRoot:    /var/tmp/build-%{name}-root

%description
Library of Utility Functions for Gtk

Authors:
--------
    Tim Janik <timj@gtk.org>
    Owen Taylor <otaylor@redhat.com>
    Josh MacDonald <jmacd@axis.hip.berkeley.edu>
    Manish Singh <yosh@gimp.org>
    Tom Tromey <tromey@cygnus.com>
    George Lebl <jirka@5z.com>
    Shawn T. Amundson <amundson@gtk.org>
    Lauri Alanko <nether@gimp.org>
    Jay Painter <jpaint@serv.net>

SuSE series: gra

%prep
%setup
%patch

%build
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} --mandir=%{_mandir} --infodir=%{_infodir}
make 

%install
make install prefix=$RPM_BUILD_ROOT%{prefix} \
	     mandir=$RPM_BUILD_ROOT%{_mandir} \
	     infodir=$RPM_BUILD_ROOT%{_infodir}
(cd $RPM_BUILD_ROOT%{prefix}/include && ln -sf ../lib/glib/include/glibconfig.h .)

%files 
%doc AUTHORS COPYING README NEWS ChangeLog 
/usr/lib/*.so.*
%package devel
Obsoletes:    glibdev
Provides:     glibdev
Summary:      Static Libraries and Header Files for glib
Group:        Development/Libraries 
Autoreqprov:  on

%description devel
Only needed by developers that want to use functions contained in glib.

Authors:
--------
    Tim Janik <timj@gtk.org>
    Owen Taylor <otaylor@redhat.com>
    Josh MacDonald <jmacd@axis.hip.berkeley.edu>
    Manish Singh <yosh@gimp.org>
    Tom Tromey <tromey@cygnus.com>
    George Lebl <jirka@5z.com>
    Shawn T. Amundson <amundson@gtk.org>
    Lauri Alanko <nether@gimp.org>
    Jay Painter <jpaint@serv.net>

SuSE series: xdev


%files devel
%{prefix}/bin/glib-config
%{_infodir}/glib.info*
%{_mandir}/man1/glib-config.1*
%{prefix}/include/*
%{prefix}/lib/*.*a
%{prefix}/lib/*.so
%{prefix}/lib/glib
%{prefix}/lib/pkgconfig/*
%{prefix}/share/aclocal/*.m4

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n glib
* Wed Apr 11 2001 - froh@suse.de
- added suse_update_config for the sake of s390 and the benefit of the
  others
* Mon Apr 02 2001 - egger@suse.de
- Updated to version 1.2.10. Bugfix release.
* Sun Mar 04 2001 - egger@suse.de
- Updated to the real version 1.2.9.
- Cleaned up specfile.
* Fri Mar 02 2001 - ro@suse.de
- modified file-list for devel-package
* Fri Mar 02 2001 - egger@suse.de
- Updated to version 1.2.9pre1.
* Thu Nov 30 2000 - egger@suse.de
- Readded missing glibconfig.h link.
* Sun Nov 26 2000 - egger@suse.de
- Reworked specfiles to use macros and wildcards.
- Add RPM Group Tag.
- Fixed compilation flags.
- Use BuildRoot.
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Thu May 25 2000 - egger@suse.de
- Updated to 1.2.8.
- Replaced every occurence of 1.2.7 by %%{version}.
* Mon May 22 2000 - egger@suse.de
- Fixes for the pickier buildsystem.
* Fri May 19 2000 - egger@suse.de
- Remove deprecated documentation.
* Thu Apr 06 2000 - ro@suse.de
- fixed libtool problem
* Wed Apr 05 2000 - egger@suse.de
- Added --enable-shared to configure.
  (Strange, since S390 changes were made glib won't
  compile anymore because of auto* problems. Maybe
  it's just buildsystem again.)
* Tue Apr 04 2000 - egger@suse.de
- Added autoconf and libtool to the requirements.
* Mon Apr 03 2000 - egger@suse.de
- Added automake to the requirements since glib
  seems to require it now?!?
* Sat Apr 01 2000 - bk@suse.de
- added required %%suse_update_config for s390
* Fri Feb 25 2000 - ro@suse.de
- use the macros for configure
* Thu Feb 24 2000 - egger@suse.de
- it's getting silly, now I added a wildcard
  to info and man files which sometimes are
  automatically compressed and sometimes not!
  note: this only depends on building
  in a current (ie STABLE) environment
* Wed Feb 23 2000 - egger@suse.de
- use %%doc tag for a hopeful better building
  on ALL systems
* Sun Feb 20 2000 - egger@suse.de
- changed variable to hardcoded value to ensure building
* Thu Feb 17 2000 - fehr@suse.de
- changed to version 1.2.7
* Mon Oct 11 1999 - fehr@suse.de
- changed to version 1.2.6
* Wed Sep 29 1999 - fehr@suse.de
- changed to version 1.2.5
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - fehr@suse.de
- changed to version 1.2.4
* Tue Jul 13 1999 - ro@suse.de
- package renamed to glib/glibdev
* Tue May 18 1999 - fehr@suse.de
- changed to version 1.2.3
* Fri Mar 26 1999 - fehr@suse.de
- changed to version 1.2.1
* Thu Mar 18 1999 - fehr@suse.de
- add html documentation to package
* Mon Mar 01 1999 - fehr@suse.de
- changed to version 1.2.0
* Wed Feb 17 1999 - fehr@suse.de
- changed to version 1.1.16
* Fri Feb 05 1999 - fehr@suse.de
- changed to version 1.1.15
* Fri Jan 29 1999 - fehr@suse.de
- changed to version 1.1.14
* Tue Jan 19 1999 - fehr@suse.de
- changed to version 1.1.13
* Sat Jan 09 1999 - fehr@suse.de
- changed to version 1.1.12
* Mon Jan 04 1999 - fehr@suse.de
- changed to version 1.1.11
* Tue Dec 22 1998 - fehr@suse.de
- changed to version 1.1.9
* Tue Nov 17 1998 - ro@suse.de
- set executable for libs (so ldd/ldconfig shut up)
* Mon Oct 26 1998 - fehr@suse.de
- changed to version 1.1.4
* Fri Oct 23 1998 - fehr@suse.de
- move .so files to dev package
- rename rpm file to glibn/glibndev
* Mon Oct 19 1998 - fehr@suse.de
- add version 1.1.3 of glib as a separate package
